<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy QCPSelectionDecorator</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_selection_decorator.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pro-methods">Metody chronione</a> &#124;
<a href="#pro-attribs">Atrybuty chronione</a> &#124;
<a href="#friends">Przyjaciele</a> &#124;
<a href="class_q_c_p_selection_decorator-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy QCPSelectionDecorator</div></div>
</div><!--header-->
<div class="contents">

<p>Controls how a plottable's data selection is drawn.  
 <a href="class_q_c_p_selection_decorator.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla QCPSelectionDecorator</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator__inherit__graph.png" border="0" usemap="#a_q_c_p_selection_decorator_inherit__map" alt="Inheritance graph"/></div>
<map name="a_q_c_p_selection_decorator_inherit__map" id="a_q_c_p_selection_decorator_inherit__map">
<area shape="rect" title="Controls how a plottable&#39;s data selection is drawn." alt="" coords="28,5,188,31"/>
<area shape="rect" href="class_q_c_p_selection_decorator_bracket.html" title="A selection decorator which draws brackets around each selected data segment." alt="" coords="5,79,211,104"/>
<area shape="poly" title=" " alt="" coords="111,44,111,79,105,79,105,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla QCPSelectionDecorator:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator__coll__graph.png" border="0" usemap="#a_q_c_p_selection_decorator_coll__map" alt="Collaboration graph"/></div>
<map name="a_q_c_p_selection_decorator_coll__map" id="a_q_c_p_selection_decorator_coll__map">
<area shape="rect" title="Controls how a plottable&#39;s data selection is drawn." alt="" coords="5,93,165,119"/>
<area shape="rect" href="class_q_c_p_abstract_plottable.html" title="The abstract base class for all data representing objects in a plot." alt="" coords="143,181,294,207"/>
<area shape="poly" title=" " alt="" coords="106,127,137,155,185,179,183,184,135,160,102,131"/>
<area shape="rect" href="class_q_c_p_scatter_style.html" title="Represents the visual appearance of scatter points." alt="" coords="25,5,146,31"/>
<area shape="poly" title=" " alt="" coords="88,45,88,93,83,93,83,45"/>
<area shape="poly" title=" " alt="" coords="129,187,77,177,57,169,43,159,39,147,44,136,64,117,67,121,48,139,45,147,47,156,59,164,79,172,130,182"/>
<area shape="rect" href="class_q_c_p_layerable.html" title="Base class for all drawable objects." alt="" coords="903,93,1009,119"/>
<area shape="poly" title=" " alt="" coords="889,110,672,117,538,128,405,145,351,160,262,184,261,179,350,155,403,140,538,122,672,112,889,105"/>
<area shape="rect" href="class_q_c_p_axis.html" title="Manages a single axis inside a QCustomPlot." alt="" coords="472,545,547,571"/>
<area shape="poly" title=" " alt="" coords="889,114,755,124,600,140,530,151,473,164,434,178,424,186,421,193,421,457,424,476,430,491,455,519,487,543,484,547,452,523,425,494,418,478,416,457,416,192,420,182,432,174,471,159,529,146,600,135,755,118,889,108"/>
<area shape="rect" href="class_q_c_p_layout_element.html" title="The abstract base class for all objects that form the layout system." alt="" coords="777,181,913,207"/>
<area shape="poly" title=" " alt="" coords="932,129,862,183,859,179,928,125"/>
<area shape="rect" href="class_q_c_p_grid.html" title="Responsible for drawing the grid of a QCPAxis." alt="" coords="639,677,713,703"/>
<area shape="poly" title=" " alt="" coords="889,118,824,129,759,145,708,167,694,179,689,193,689,457,685,586,680,677,674,677,680,586,684,457,684,192,690,176,706,162,757,140,823,123,888,113"/>
<area shape="rect" href="class_q_c_p_selection_rect.html" title="Provides rect/rubber&#45;band data selection and range zoom interaction." alt="" coords="1037,231,1168,256"/>
<area shape="poly" title=" " alt="" coords="996,123,1023,141,1068,187,1098,229,1093,232,1064,191,1020,145,994,127"/>
<area shape="rect" title=" " alt="" coords="1121,5,1191,31"/>
<area shape="poly" title=" " alt="" coords="1118,39,984,96,982,91,1115,34"/>
<area shape="rect" href="class_q_c_p_layer.html" title="A layer that may contain objects, to control the rendering order." alt="" coords="1147,780,1229,805"/>
<area shape="poly" title=" " alt="" coords="1206,23,1241,33,1275,48,1301,72,1309,87,1312,104,1312,692,1310,708,1303,724,1281,749,1252,769,1224,782,1221,777,1250,764,1278,745,1299,721,1305,707,1307,691,1307,105,1304,89,1297,75,1273,53,1239,38,1204,28"/>
<area shape="rect" href="class_q_custom_plot.html" title="The central class of the library. This is the QWidget which displays the plot and interacts with the ..." alt="" coords="931,677,1031,703"/>
<area shape="poly" title=" " alt="" coords="1012,668,1026,652,1035,631,1037,614,1037,571,1038,534,1035,503,1022,451,1007,399,1002,368,1000,331,1000,193,997,172,988,152,965,121,969,117,992,149,1002,170,1005,192,1005,331,1007,367,1012,398,1027,450,1040,502,1043,534,1043,571,1043,614,1040,633,1030,655,1016,671"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html" title=" " alt="" coords="479,780,636,805"/>
<area shape="poly" title=" " alt="" coords="921,708,606,783,605,777,919,703"/>
<area shape="poly" title=" " alt="" coords="1046,702,1107,724,1140,748,1176,778,1173,782,1136,752,1104,729,1044,707"/>
<area shape="rect" title=" " alt="" coords="839,545,911,571"/>
<area shape="poly" title=" " alt="" coords="895,580,974,675,970,679,891,583"/>
<area shape="poly" title=" " alt="" coords="561,561,612,572,664,592,683,607,694,623,705,638,723,651,761,663,816,672,931,683,931,688,815,677,759,668,720,656,701,642,690,626,679,611,661,597,611,577,560,567"/>
<area shape="poly" title=" " alt="" coords="503,584,497,619,500,636,507,652,520,664,532,671,559,674,590,672,627,675,639,677,638,682,626,680,590,677,559,680,531,676,517,668,503,655,494,638,492,619,498,583"/>
<area shape="rect" href="class_q_c_p_axis_rect.html" title="Holds multiple axes and arranges them in a rectangular shape." alt="" coords="725,443,827,468"/>
<area shape="poly" title=" " alt="" coords="717,474,653,495,587,522,533,548,530,543,585,517,651,489,716,469"/>
<area shape="poly" title=" " alt="" coords="833,220,802,280,787,317,776,355,773,403,777,442,771,442,767,403,771,354,782,315,797,277,829,217"/>
<area shape="rect" href="class_q_c_p_layout.html" title="The abstract base class for layouts." alt="" coords="818,280,907,305"/>
<area shape="poly" title=" " alt="" coords="845,220,848,255,858,278,853,280,843,257,840,220"/>
<area shape="poly" title=" " alt="" coords="856,267,845,207,850,206,861,266"/>
<area shape="rect" href="class_q_c_p_layout_inset.html" title="A layout that places child elements aligned to the border or arbitrarily positioned." alt="" coords="785,355,903,380"/>
<area shape="poly" title=" " alt="" coords="859,319,850,355,844,354,854,318"/>
<area shape="rect" href="class_q_c_p_layout_grid.html" title="A layout that arranges child elements in a grid." alt="" coords="885,443,998,468"/>
<area shape="poly" title=" " alt="" coords="888,314,904,332,918,353,936,402,943,442,938,443,930,403,914,356,900,335,884,317"/>
<area shape="poly" title=" " alt="" coords="828,393,788,444,783,440,824,389"/>
<area shape="rect" href="class_q_c_p_range.html" title="Represents the range an axis is encompassing." alt="" coords="457,443,543,468"/>
<area shape="poly" title=" " alt="" coords="476,479,466,493,463,507,466,520,476,533,489,543,485,547,472,537,462,523,457,507,462,491,471,476"/>
<area shape="poly" title=" " alt="" coords="638,672,617,655,606,639,601,624,597,611,586,597,567,583,546,573,548,568,570,578,590,593,601,608,606,623,611,637,621,652,641,668"/>
<area shape="poly" title=" " alt="" coords="502,778,449,750,424,729,404,704,398,683,399,663,408,643,421,624,456,592,489,569,492,573,459,596,425,628,412,646,404,664,403,683,409,701,428,726,452,745,505,773"/>
<area shape="rect" href="class_q_c_p_line_ending.html" title="Handles the different ending decorations for line&#45;like items." alt="" coords="500,677,615,703"/>
<area shape="poly" title=" " alt="" coords="560,717,560,780,555,780,555,717"/>
<area shape="rect" href="class_q_c_p_legend.html" title="Manages a legend inside a QCustomPlot." alt="" coords="935,545,1028,571"/>
<area shape="poly" title=" " alt="" coords="984,584,984,677,979,677,979,584"/>
<area shape="poly" title=" " alt="" coords="872,472,820,487,774,508,758,521,748,535,745,551,752,569,768,592,788,611,835,642,885,664,932,677,930,682,884,669,833,647,784,615,764,595,747,572,740,552,743,533,754,517,772,503,818,482,870,467"/>
<area shape="poly" title=" " alt="" coords="953,480,979,544,974,546,949,482"/>
<area shape="poly" title=" " alt="" coords="1211,769,1222,755,1237,725,1240,691,1240,193,1234,177,1217,163,1190,151,1157,140,1081,125,1009,115,1010,110,1081,119,1158,135,1192,146,1219,159,1238,174,1245,192,1245,691,1242,726,1226,757,1215,772"/>
<area shape="poly" title=" " alt="" coords="1133,794,1073,785,1042,774,1014,758,1002,746,993,731,982,704,987,702,997,729,1006,743,1018,754,1044,769,1074,780,1134,789"/>
<area shape="poly" title=" " alt="" coords="1111,269,1119,329,1119,559,1118,588,1114,612,1104,633,1086,655,1061,673,1033,683,1031,678,1058,668,1082,651,1100,630,1109,610,1113,588,1113,559,1113,329,1106,270"/>
<area shape="rect" href="class_q_c_p_data_selection.html" title="Describes a data set by holding multiple QCPDataRange instances." alt="" coords="231,93,361,119"/>
<area shape="poly" title=" " alt="" coords="287,132,269,159,240,183,236,179,265,156,283,129"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:aa145480d9a062cd176fe30900bb7bca8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#aa145480d9a062cd176fe30900bb7bca8">QCPSelectionDecorator</a> ()</td></tr>
<tr class="separator:aa145480d9a062cd176fe30900bb7bca8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab211eb11379854dcbe23b1642be0d19e"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#ab211eb11379854dcbe23b1642be0d19e">~QCPSelectionDecorator</a> ()</td></tr>
<tr class="separator:ab211eb11379854dcbe23b1642be0d19e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9307a60c9759223367909aed2d05ad91"><td class="memItemLeft" align="right" valign="top">QPen&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a9307a60c9759223367909aed2d05ad91">pen</a> () const</td></tr>
<tr class="separator:a9307a60c9759223367909aed2d05ad91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a783b643aa52120a25308fc501b9998b1"><td class="memItemLeft" align="right" valign="top">QBrush&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a783b643aa52120a25308fc501b9998b1">brush</a> () const</td></tr>
<tr class="separator:a783b643aa52120a25308fc501b9998b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6558f6f270a188bb633386aba0d1ae4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_scatter_style.html">QCPScatterStyle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#aa6558f6f270a188bb633386aba0d1ae4">scatterStyle</a> () const</td></tr>
<tr class="separator:aa6558f6f270a188bb633386aba0d1ae4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2019bf31dde39f1ec028e3810dfc08b"><td class="memItemLeft" align="right" valign="top">QCPScatterStyle::ScatterProperties&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#ab2019bf31dde39f1ec028e3810dfc08b">usedScatterProperties</a> () const</td></tr>
<tr class="separator:ab2019bf31dde39f1ec028e3810dfc08b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2c8192e1e294aa3a4a7f32a859e3d76"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#ac2c8192e1e294aa3a4a7f32a859e3d76">setPen</a> (const QPen &amp;<a class="el" href="class_q_c_p_selection_decorator.html#a9307a60c9759223367909aed2d05ad91">pen</a>)</td></tr>
<tr class="separator:ac2c8192e1e294aa3a4a7f32a859e3d76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa74b626be518ea17055f918d423c8c2d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#aa74b626be518ea17055f918d423c8c2d">setBrush</a> (const QBrush &amp;<a class="el" href="class_q_c_p_selection_decorator.html#a783b643aa52120a25308fc501b9998b1">brush</a>)</td></tr>
<tr class="separator:aa74b626be518ea17055f918d423c8c2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab403a613289714ff4fd4a0c0371ab116"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#ab403a613289714ff4fd4a0c0371ab116">setScatterStyle</a> (const <a class="el" href="class_q_c_p_scatter_style.html">QCPScatterStyle</a> &amp;<a class="el" href="class_q_c_p_selection_decorator.html#aa6558f6f270a188bb633386aba0d1ae4">scatterStyle</a>, QCPScatterStyle::ScatterProperties usedProperties=<a class="el" href="class_q_c_p_scatter_style.html#a8974f6a20f8f6eea7781f0e6af9deb46aa04d012e7c03e455db2b68fdd55c2a04">QCPScatterStyle::spPen</a>)</td></tr>
<tr class="separator:ab403a613289714ff4fd4a0c0371ab116"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a808c1607cd4e83869c04986e332455c0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a808c1607cd4e83869c04986e332455c0">setUsedScatterProperties</a> (const QCPScatterStyle::ScatterProperties &amp;properties)</td></tr>
<tr class="separator:a808c1607cd4e83869c04986e332455c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75098893f7d08660ea449206810679d7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a75098893f7d08660ea449206810679d7">applyPen</a> (<a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *painter) const</td></tr>
<tr class="separator:a75098893f7d08660ea449206810679d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a225544527d51b49546b70d0e6d655a34"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a225544527d51b49546b70d0e6d655a34">applyBrush</a> (<a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *painter) const</td></tr>
<tr class="separator:a225544527d51b49546b70d0e6d655a34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1277b373248896bc70e8cc1de96da9fa"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_scatter_style.html">QCPScatterStyle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a1277b373248896bc70e8cc1de96da9fa">getFinalScatterStyle</a> (const <a class="el" href="class_q_c_p_scatter_style.html">QCPScatterStyle</a> &amp;unselectedStyle) const</td></tr>
<tr class="separator:a1277b373248896bc70e8cc1de96da9fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a467a8d5cfcab27e862a17c797ac27b8a"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a467a8d5cfcab27e862a17c797ac27b8a">copyFrom</a> (const <a class="el" href="class_q_c_p_selection_decorator.html">QCPSelectionDecorator</a> *other)</td></tr>
<tr class="separator:a467a8d5cfcab27e862a17c797ac27b8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f8eb49e277063845391e803ae23054a"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a4f8eb49e277063845391e803ae23054a">drawDecoration</a> (<a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *painter, <a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a> selection)</td></tr>
<tr class="separator:a4f8eb49e277063845391e803ae23054a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Metody chronione</h2></td></tr>
<tr class="memitem:af66cb39e308da0285ae5d533e1e85027"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#af66cb39e308da0285ae5d533e1e85027">registerWithPlottable</a> (<a class="el" href="class_q_c_p_abstract_plottable.html">QCPAbstractPlottable</a> *plottable)</td></tr>
<tr class="separator:af66cb39e308da0285ae5d533e1e85027"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Atrybuty chronione</h2></td></tr>
<tr class="memitem:a684a691c146a5bac927c0146bd28d557"><td class="memItemLeft" align="right" valign="top">QPen&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a684a691c146a5bac927c0146bd28d557">mPen</a></td></tr>
<tr class="separator:a684a691c146a5bac927c0146bd28d557"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e3a3a01fdec5b018c0c59a0b6ae9f70"><td class="memItemLeft" align="right" valign="top">QBrush&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a4e3a3a01fdec5b018c0c59a0b6ae9f70">mBrush</a></td></tr>
<tr class="separator:a4e3a3a01fdec5b018c0c59a0b6ae9f70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b822197a1bf802c5cf8c3dc43ca549a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_scatter_style.html">QCPScatterStyle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a5b822197a1bf802c5cf8c3dc43ca549a">mScatterStyle</a></td></tr>
<tr class="separator:a5b822197a1bf802c5cf8c3dc43ca549a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb4f6af085283c9ce7d5c168fb53e855"><td class="memItemLeft" align="right" valign="top">QCPScatterStyle::ScatterProperties&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#acb4f6af085283c9ce7d5c168fb53e855">mUsedScatterProperties</a></td></tr>
<tr class="separator:acb4f6af085283c9ce7d5c168fb53e855"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25250a1d29b0723c4fa59a97e62f5758"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_abstract_plottable.html">QCPAbstractPlottable</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a25250a1d29b0723c4fa59a97e62f5758">mPlottable</a></td></tr>
<tr class="separator:a25250a1d29b0723c4fa59a97e62f5758"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="friends" name="friends"></a>
Przyjaciele</h2></td></tr>
<tr class="memitem:a53cf0e76aca814550c796fed79e345d6"><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a53cf0e76aca814550c796fed79e345d6">QCPAbstractPlottable</a></td></tr>
<tr class="separator:a53cf0e76aca814550c796fed79e345d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Each <a class="el" href="class_q_c_p_abstract_plottable.html">QCPAbstractPlottable</a> instance has one <a class="el" href="class_q_c_p_selection_decorator.html">QCPSelectionDecorator</a> (accessible via <a class="el" href="class_q_c_p_abstract_plottable.html#a7861518e47ca0c6a0c386032c2db075e">QCPAbstractPlottable::selectionDecorator</a>) and uses it when drawing selected segments of its data.</p>
<p>The selection decorator controls both pen (<a class="el" href="class_q_c_p_selection_decorator.html#ac2c8192e1e294aa3a4a7f32a859e3d76">setPen</a>) and brush (<a class="el" href="class_q_c_p_selection_decorator.html#aa74b626be518ea17055f918d423c8c2d">setBrush</a>), as well as the scatter style (<a class="el" href="class_q_c_p_selection_decorator.html#ab403a613289714ff4fd4a0c0371ab116">setScatterStyle</a>) if the plottable draws scatters. Since a <a class="el" href="class_q_c_p_scatter_style.html">QCPScatterStyle</a> is itself composed of different properties such as color shape and size, the decorator allows specifying exactly which of those properties shall be used for the selected data point, via <a class="el" href="class_q_c_p_selection_decorator.html#a808c1607cd4e83869c04986e332455c0">setUsedScatterProperties</a>.</p>
<p>A <a class="el" href="class_q_c_p_selection_decorator.html">QCPSelectionDecorator</a> subclass instance can be passed to a plottable via <a class="el" href="class_q_c_p_abstract_plottable.html#a20e266ad646f8c4a7e4631040510e5d9">QCPAbstractPlottable::setSelectionDecorator</a>, allowing greater customizability of the appearance of selected segments.</p>
<p>Use <a class="el" href="class_q_c_p_selection_decorator.html#a467a8d5cfcab27e862a17c797ac27b8a">copyFrom</a> to easily transfer the settings of one decorator to another one. This is especially useful since plottables take ownership of the passed selection decorator, and thus the same decorator instance can not be passed to multiple plottables.</p>
<p>Selection decorators can also themselves perform drawing operations by reimplementing <a class="el" href="class_q_c_p_selection_decorator.html#a4f8eb49e277063845391e803ae23054a">drawDecoration</a>, which is called by the plottable's draw method. The base class <a class="el" href="class_q_c_p_selection_decorator.html">QCPSelectionDecorator</a> does not make use of this however. For example, <a class="el" href="class_q_c_p_selection_decorator_bracket.html">QCPSelectionDecoratorBracket</a> draws brackets around selected data segments. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03448">3448</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="aa145480d9a062cd176fe30900bb7bca8" name="aa145480d9a062cd176fe30900bb7bca8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa145480d9a062cd176fe30900bb7bca8">&#9670;&#160;</a></span>QCPSelectionDecorator()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QCPSelectionDecorator::QCPSelectionDecorator </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Creates a new <a class="el" href="class_q_c_p_selection_decorator.html" title="Controls how a plottable&#39;s data selection is drawn.">QCPSelectionDecorator</a> instance with default values </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l11060">11060</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="ab211eb11379854dcbe23b1642be0d19e" name="ab211eb11379854dcbe23b1642be0d19e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab211eb11379854dcbe23b1642be0d19e">&#9670;&#160;</a></span>~QCPSelectionDecorator()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QCPSelectionDecorator::~QCPSelectionDecorator </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l11068">11068</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a9307a60c9759223367909aed2d05ad91" name="a9307a60c9759223367909aed2d05ad91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9307a60c9759223367909aed2d05ad91">&#9670;&#160;</a></span>pen()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QPen QCPSelectionDecorator::pen </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03456">3456</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_a9307a60c9759223367909aed2d05ad91_icgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_a9307a60c9759223367909aed2d05ad91_icgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_a9307a60c9759223367909aed2d05ad91_icgraph" id="aclass_q_c_p_selection_decorator_a9307a60c9759223367909aed2d05ad91_icgraph">
<area shape="rect" title=" " alt="" coords="467,62,653,87"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#a467a8d5cfcab27e862a17c797ac27b8a" title=" " alt="" coords="5,61,165,101"/>
<area shape="poly" title=" " alt="" coords="521,58,473,38,418,22,361,12,316,8,271,11,214,22,163,40,119,63,117,58,161,35,213,17,270,6,316,3,362,7,419,17,475,33,523,53"/>
<area shape="rect" href="class_q_c_p_curve.html#ac199d41d23865cd68bd7b598308a4433" title=" " alt="" coords="257,32,375,58"/>
<area shape="poly" title=" " alt="" coords="453,64,375,55,376,49,453,59"/>
<area shape="rect" href="class_q_c_p_selection_decorator_bracket.html#ac0e392a6097990f8aa978932a8fa05d6" title=" " alt="" coords="213,82,419,122"/>
<area shape="poly" title=" " alt="" coords="453,89,419,93,418,88,453,84"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#ac2c8192e1e294aa3a4a7f32a859e3d76" title=" " alt="" coords="236,146,396,186"/>
<area shape="poly" title=" " alt="" coords="520,95,420,137,385,149,383,144,418,132,518,90"/>
<area shape="poly" title=" " alt="" coords="234,144,212,137,130,103,132,98,214,132,236,139"/>
</map>
</div>

</div>
</div>
<a id="a783b643aa52120a25308fc501b9998b1" name="a783b643aa52120a25308fc501b9998b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a783b643aa52120a25308fc501b9998b1">&#9670;&#160;</a></span>brush()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QBrush QCPSelectionDecorator::brush </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03457">3457</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_a783b643aa52120a25308fc501b9998b1_icgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_a783b643aa52120a25308fc501b9998b1_icgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_a783b643aa52120a25308fc501b9998b1_icgraph" id="aclass_q_c_p_selection_decorator_a783b643aa52120a25308fc501b9998b1_icgraph">
<area shape="rect" title=" " alt="" coords="495,43,655,83"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#a467a8d5cfcab27e862a17c797ac27b8a" title=" " alt="" coords="19,5,179,45"/>
<area shape="poly" title=" " alt="" coords="492,42,446,33,376,26,305,23,179,24,179,19,305,18,377,21,447,28,493,37"/>
<area shape="rect" href="class_q_c_p_selection_decorator_bracket.html#a2f4ea0bfb0ea980252b76dd349dd53aa" title=" " alt="" coords="241,43,447,83"/>
<area shape="poly" title=" " alt="" coords="481,65,447,65,447,60,481,60"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#aa74b626be518ea17055f918d423c8c2d" title=" " alt="" coords="264,107,424,147"/>
<area shape="poly" title=" " alt="" coords="490,89,417,109,416,104,488,84"/>
<area shape="poly" title=" " alt="" coords="260,105,240,97,136,48,139,43,242,92,262,100"/>
<area shape="rect" href="class_q_c_p_bars.html#a64006999ad9dff308f40df41cef176ad" title=" " alt="" coords="30,89,169,114"/>
<area shape="poly" title=" " alt="" coords="250,120,169,111,169,106,251,114"/>
<area shape="rect" href="class_q_c_p_financial.html#a4702d5248feeb9d1ec6e3ce725b10b32" title=" " alt="" coords="5,138,193,163"/>
<area shape="poly" title=" " alt="" coords="251,138,194,144,193,139,250,133"/>
</map>
</div>

</div>
</div>
<a id="aa6558f6f270a188bb633386aba0d1ae4" name="aa6558f6f270a188bb633386aba0d1ae4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6558f6f270a188bb633386aba0d1ae4">&#9670;&#160;</a></span>scatterStyle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_scatter_style.html">QCPScatterStyle</a> QCPSelectionDecorator::scatterStyle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03458">3458</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_aa6558f6f270a188bb633386aba0d1ae4_icgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_aa6558f6f270a188bb633386aba0d1ae4_icgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_aa6558f6f270a188bb633386aba0d1ae4_icgraph" id="aclass_q_c_p_selection_decorator_aa6558f6f270a188bb633386aba0d1ae4_icgraph">
<area shape="rect" title=" " alt="" coords="421,5,581,45"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#a467a8d5cfcab27e862a17c797ac27b8a" title=" " alt="" coords="5,5,165,45"/>
<area shape="poly" title=" " alt="" coords="408,25,373,24,213,24,165,25,165,20,213,19,373,19,408,19"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#ab403a613289714ff4fd4a0c0371ab116" title=" " alt="" coords="213,33,373,73"/>
<area shape="poly" title=" " alt="" coords="408,41,374,45,373,40,408,35"/>
<area shape="poly" title=" " alt="" coords="200,43,165,39,166,33,200,38"/>
</map>
</div>

</div>
</div>
<a id="ab2019bf31dde39f1ec028e3810dfc08b" name="ab2019bf31dde39f1ec028e3810dfc08b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2019bf31dde39f1ec028e3810dfc08b">&#9670;&#160;</a></span>usedScatterProperties()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QCPScatterStyle::ScatterProperties QCPSelectionDecorator::usedScatterProperties </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03459">3459</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_ab2019bf31dde39f1ec028e3810dfc08b_icgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_ab2019bf31dde39f1ec028e3810dfc08b_icgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_ab2019bf31dde39f1ec028e3810dfc08b_icgraph" id="aclass_q_c_p_selection_decorator_ab2019bf31dde39f1ec028e3810dfc08b_icgraph">
<area shape="rect" title=" " alt="" coords="213,5,373,45"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#a467a8d5cfcab27e862a17c797ac27b8a" title=" " alt="" coords="5,5,165,45"/>
<area shape="poly" title=" " alt="" coords="200,28,166,28,166,23,200,23"/>
</map>
</div>

</div>
</div>
<a id="ac2c8192e1e294aa3a4a7f32a859e3d76" name="ac2c8192e1e294aa3a4a7f32a859e3d76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2c8192e1e294aa3a4a7f32a859e3d76">&#9670;&#160;</a></span>setPen()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPSelectionDecorator::setPen </td>
          <td>(</td>
          <td class="paramtype">const QPen &amp;&#160;</td>
          <td class="paramname"><em>pen</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the pen that will be used by the parent plottable to draw selected data segments. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l11075">11075</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_ac2c8192e1e294aa3a4a7f32a859e3d76_cgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_ac2c8192e1e294aa3a4a7f32a859e3d76_cgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_ac2c8192e1e294aa3a4a7f32a859e3d76_cgraph" id="aclass_q_c_p_selection_decorator_ac2c8192e1e294aa3a4a7f32a859e3d76_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,165,45"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#a9307a60c9759223367909aed2d05ad91" title=" " alt="" coords="213,13,400,38"/>
<area shape="poly" title=" " alt="" coords="166,23,200,23,200,28,166,28"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_ac2c8192e1e294aa3a4a7f32a859e3d76_icgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_ac2c8192e1e294aa3a4a7f32a859e3d76_icgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_ac2c8192e1e294aa3a4a7f32a859e3d76_icgraph" id="aclass_q_c_p_selection_decorator_ac2c8192e1e294aa3a4a7f32a859e3d76_icgraph">
<area shape="rect" title=" " alt="" coords="213,5,373,45"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#a467a8d5cfcab27e862a17c797ac27b8a" title=" " alt="" coords="5,5,165,45"/>
<area shape="poly" title=" " alt="" coords="200,28,166,28,166,23,200,23"/>
</map>
</div>

</div>
</div>
<a id="aa74b626be518ea17055f918d423c8c2d" name="aa74b626be518ea17055f918d423c8c2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa74b626be518ea17055f918d423c8c2d">&#9670;&#160;</a></span>setBrush()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPSelectionDecorator::setBrush </td>
          <td>(</td>
          <td class="paramtype">const QBrush &amp;&#160;</td>
          <td class="paramname"><em>brush</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the brush that will be used by the parent plottable to draw selected data segments. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l11083">11083</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_aa74b626be518ea17055f918d423c8c2d_cgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_aa74b626be518ea17055f918d423c8c2d_cgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_aa74b626be518ea17055f918d423c8c2d_cgraph" id="aclass_q_c_p_selection_decorator_aa74b626be518ea17055f918d423c8c2d_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,165,45"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#a783b643aa52120a25308fc501b9998b1" title=" " alt="" coords="213,5,373,45"/>
<area shape="poly" title=" " alt="" coords="165,23,199,23,199,28,165,28"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_aa74b626be518ea17055f918d423c8c2d_icgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_aa74b626be518ea17055f918d423c8c2d_icgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_aa74b626be518ea17055f918d423c8c2d_icgraph" id="aclass_q_c_p_selection_decorator_aa74b626be518ea17055f918d423c8c2d_icgraph">
<area shape="rect" title=" " alt="" coords="241,63,401,103"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#a467a8d5cfcab27e862a17c797ac27b8a" title=" " alt="" coords="19,5,179,45"/>
<area shape="poly" title=" " alt="" coords="229,62,177,48,178,43,231,57"/>
<area shape="rect" href="class_q_c_p_bars.html#a64006999ad9dff308f40df41cef176ad" title=" " alt="" coords="30,70,169,95"/>
<area shape="poly" title=" " alt="" coords="227,85,169,85,169,80,227,80"/>
<area shape="rect" href="class_q_c_p_financial.html#a4702d5248feeb9d1ec6e3ce725b10b32" title=" " alt="" coords="5,119,193,145"/>
<area shape="poly" title=" " alt="" coords="228,106,158,122,156,117,227,101"/>
</map>
</div>

</div>
</div>
<a id="ab403a613289714ff4fd4a0c0371ab116" name="ab403a613289714ff4fd4a0c0371ab116"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab403a613289714ff4fd4a0c0371ab116">&#9670;&#160;</a></span>setScatterStyle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPSelectionDecorator::setScatterStyle </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_scatter_style.html">QCPScatterStyle</a> &amp;&#160;</td>
          <td class="paramname"><em>scatterStyle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QCPScatterStyle::ScatterProperties&#160;</td>
          <td class="paramname"><em>usedProperties</em> = <code><a class="el" href="class_q_c_p_scatter_style.html#a8974f6a20f8f6eea7781f0e6af9deb46aa04d012e7c03e455db2b68fdd55c2a04">QCPScatterStyle::spPen</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the scatter style that will be used by the parent plottable to draw scatters in selected data segments.</p>
<p><em>usedProperties</em> specifies which parts of the passed <em>scatterStyle</em> will be used by the plottable. The used properties can also be changed via <a class="el" href="class_q_c_p_selection_decorator.html#a808c1607cd4e83869c04986e332455c0">setUsedScatterProperties</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l11095">11095</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_ab403a613289714ff4fd4a0c0371ab116_cgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_ab403a613289714ff4fd4a0c0371ab116_cgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_ab403a613289714ff4fd4a0c0371ab116_cgraph" id="aclass_q_c_p_selection_decorator_ab403a613289714ff4fd4a0c0371ab116_cgraph">
<area shape="rect" title=" " alt="" coords="5,37,165,77"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#aa6558f6f270a188bb633386aba0d1ae4" title=" " alt="" coords="223,5,383,45"/>
<area shape="poly" title=" " alt="" coords="165,43,209,36,210,42,166,48"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#a808c1607cd4e83869c04986e332455c0" title=" " alt="" coords="213,69,392,109"/>
<area shape="poly" title=" " alt="" coords="166,66,200,72,199,77,165,72"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_ab403a613289714ff4fd4a0c0371ab116_icgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_ab403a613289714ff4fd4a0c0371ab116_icgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_ab403a613289714ff4fd4a0c0371ab116_icgraph" id="aclass_q_c_p_selection_decorator_ab403a613289714ff4fd4a0c0371ab116_icgraph">
<area shape="rect" title=" " alt="" coords="213,5,373,45"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#a467a8d5cfcab27e862a17c797ac27b8a" title=" " alt="" coords="5,5,165,45"/>
<area shape="poly" title=" " alt="" coords="200,28,166,28,166,23,200,23"/>
</map>
</div>

</div>
</div>
<a id="a808c1607cd4e83869c04986e332455c0" name="a808c1607cd4e83869c04986e332455c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a808c1607cd4e83869c04986e332455c0">&#9670;&#160;</a></span>setUsedScatterProperties()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPSelectionDecorator::setUsedScatterProperties </td>
          <td>(</td>
          <td class="paramtype">const QCPScatterStyle::ScatterProperties &amp;&#160;</td>
          <td class="paramname"><em>properties</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Use this method to define which properties of the scatter style (set via <a class="el" href="class_q_c_p_selection_decorator.html#ab403a613289714ff4fd4a0c0371ab116">setScatterStyle</a>) will be used for selected data segments. All properties of the scatter style that are not specified in <em>properties</em> will remain as specified in the plottable's original scatter style.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_scatter_style.html#a8974f6a20f8f6eea7781f0e6af9deb46">QCPScatterStyle::ScatterProperty</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l11108">11108</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_a808c1607cd4e83869c04986e332455c0_icgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_a808c1607cd4e83869c04986e332455c0_icgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_a808c1607cd4e83869c04986e332455c0_icgraph" id="aclass_q_c_p_selection_decorator_a808c1607cd4e83869c04986e332455c0_icgraph">
<area shape="rect" title=" " alt="" coords="421,5,600,45"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#ab403a613289714ff4fd4a0c0371ab116" title=" " alt="" coords="213,5,373,45"/>
<area shape="poly" title=" " alt="" coords="407,28,373,28,373,23,407,23"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#a467a8d5cfcab27e862a17c797ac27b8a" title=" " alt="" coords="5,5,165,45"/>
<area shape="poly" title=" " alt="" coords="200,28,166,28,166,23,200,23"/>
</map>
</div>

</div>
</div>
<a id="a75098893f7d08660ea449206810679d7" name="a75098893f7d08660ea449206810679d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75098893f7d08660ea449206810679d7">&#9670;&#160;</a></span>applyPen()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPSelectionDecorator::applyPen </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *&#160;</td>
          <td class="paramname"><em>painter</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the pen of <em>painter</em> to the pen of this selection decorator.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_selection_decorator.html#a225544527d51b49546b70d0e6d655a34">applyBrush</a>, <a class="el" href="class_q_c_p_selection_decorator.html#a1277b373248896bc70e8cc1de96da9fa">getFinalScatterStyle</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l11118">11118</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_a75098893f7d08660ea449206810679d7_cgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_a75098893f7d08660ea449206810679d7_cgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_a75098893f7d08660ea449206810679d7_cgraph" id="aclass_q_c_p_selection_decorator_a75098893f7d08660ea449206810679d7_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,165,45"/>
<area shape="rect" href="class_q_c_p_painter.html#af9c7a4cd1791403901f8c5b82a150195" title=" " alt="" coords="213,13,352,38"/>
<area shape="poly" title=" " alt="" coords="166,23,199,23,199,28,166,28"/>
<area shape="rect" href="class_q_c_p_painter.html#a7e63fbcf47e35c6f2ecd11b8fef7c7d8" title=" " alt="" coords="400,13,608,38"/>
<area shape="poly" title=" " alt="" coords="353,23,386,23,386,28,353,28"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_a75098893f7d08660ea449206810679d7_icgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_a75098893f7d08660ea449206810679d7_icgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_a75098893f7d08660ea449206810679d7_icgraph" id="aclass_q_c_p_selection_decorator_a75098893f7d08660ea449206810679d7_icgraph">
<area shape="rect" title=" " alt="" coords="464,122,624,162"/>
<area shape="rect" href="class_q_c_p_graph.html#a2b0849598f06e834b43ce18cd13bcdc3" title=" " alt="" coords="243,5,362,31"/>
<area shape="poly" title=" " alt="" coords="511,114,468,77,415,44,361,28,363,23,417,40,471,73,515,110"/>
<area shape="rect" href="class_q_c_p_bars.html#aa267c20650d55084c3f47cb2f8fac9dc" title=" " alt="" coords="247,55,358,80"/>
<area shape="poly" title=" " alt="" coords="484,119,415,94,357,80,359,74,417,89,486,114"/>
<area shape="rect" href="class_q_c_p_statistical_box.html#afcff35fa79728cfe10e80e0702014fea" title=" " alt="" coords="221,104,385,129"/>
<area shape="poly" title=" " alt="" coords="450,135,384,128,385,123,451,130"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a801e85931372abf2a1034bfb2eac5cd2" title=" " alt="" coords="233,153,372,179"/>
<area shape="poly" title=" " alt="" coords="451,154,373,162,372,156,450,149"/>
<area shape="rect" href="class_q_c_p_financial.html#ade6b703369d8acb3bfa0b8e244df4b06" title=" " alt="" coords="189,203,416,228"/>
<area shape="poly" title=" " alt="" coords="483,169,417,193,368,205,367,200,415,187,481,164"/>
<area shape="rect" href="class_q_c_p_financial.html#a2c77aab636f6bce6e0407b3f94e90d08" title=" " alt="" coords="209,252,396,277"/>
<area shape="poly" title=" " alt="" coords="514,174,470,210,417,242,382,254,380,249,415,237,467,205,510,170"/>
<area shape="rect" href="class_q_c_p_financial.html#a4d62b7a618d609321adb5f5f1e31f446" title=" " alt="" coords="5,228,141,253"/>
<area shape="poly" title=" " alt="" coords="176,232,142,236,141,231,176,227"/>
<area shape="poly" title=" " alt="" coords="195,256,141,250,142,245,196,251"/>
</map>
</div>

</div>
</div>
<a id="a225544527d51b49546b70d0e6d655a34" name="a225544527d51b49546b70d0e6d655a34"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a225544527d51b49546b70d0e6d655a34">&#9670;&#160;</a></span>applyBrush()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPSelectionDecorator::applyBrush </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *&#160;</td>
          <td class="paramname"><em>painter</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the brush of <em>painter</em> to the brush of this selection decorator.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_selection_decorator.html#a75098893f7d08660ea449206810679d7">applyPen</a>, <a class="el" href="class_q_c_p_selection_decorator.html#a1277b373248896bc70e8cc1de96da9fa">getFinalScatterStyle</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l11128">11128</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_a225544527d51b49546b70d0e6d655a34_icgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_a225544527d51b49546b70d0e6d655a34_icgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_a225544527d51b49546b70d0e6d655a34_icgraph" id="aclass_q_c_p_selection_decorator_a225544527d51b49546b70d0e6d655a34_icgraph">
<area shape="rect" title=" " alt="" coords="464,97,624,137"/>
<area shape="rect" href="class_q_c_p_graph.html#a2b0849598f06e834b43ce18cd13bcdc3" title=" " alt="" coords="243,5,362,31"/>
<area shape="poly" title=" " alt="" coords="502,91,461,66,415,44,361,29,363,24,417,40,463,62,505,87"/>
<area shape="rect" href="class_q_c_p_curve.html#ac199d41d23865cd68bd7b598308a4433" title=" " alt="" coords="243,55,362,80"/>
<area shape="poly" title=" " alt="" coords="450,100,362,82,363,77,451,95"/>
<area shape="rect" href="class_q_c_p_bars.html#aa267c20650d55084c3f47cb2f8fac9dc" title=" " alt="" coords="247,104,358,129"/>
<area shape="poly" title=" " alt="" coords="450,119,358,119,358,114,450,114"/>
<area shape="rect" href="class_q_c_p_statistical_box.html#afcff35fa79728cfe10e80e0702014fea" title=" " alt="" coords="221,153,385,179"/>
<area shape="poly" title=" " alt="" coords="451,138,366,156,365,151,450,133"/>
<area shape="rect" href="class_q_c_p_financial.html#ade6b703369d8acb3bfa0b8e244df4b06" title=" " alt="" coords="189,203,416,228"/>
<area shape="poly" title=" " alt="" coords="504,146,463,171,417,192,376,205,375,200,415,188,460,166,501,142"/>
<area shape="rect" href="class_q_c_p_financial.html#a4d62b7a618d609321adb5f5f1e31f446" title=" " alt="" coords="5,203,141,228"/>
<area shape="poly" title=" " alt="" coords="176,218,142,218,142,213,176,213"/>
</map>
</div>

</div>
</div>
<a id="a1277b373248896bc70e8cc1de96da9fa" name="a1277b373248896bc70e8cc1de96da9fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1277b373248896bc70e8cc1de96da9fa">&#9670;&#160;</a></span>getFinalScatterStyle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_scatter_style.html">QCPScatterStyle</a> QCPSelectionDecorator::getFinalScatterStyle </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_scatter_style.html">QCPScatterStyle</a> &amp;&#160;</td>
          <td class="paramname"><em>unselectedStyle</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns the scatter style that the parent plottable shall use for selected scatter points. The plottable's original (unselected) scatter style must be passed as <em>unselectedStyle</em>. Depending on the setting of <a class="el" href="class_q_c_p_selection_decorator.html#a808c1607cd4e83869c04986e332455c0">setUsedScatterProperties</a>, the returned scatter style is a mixture of this selecion decorator's scatter style (<a class="el" href="class_q_c_p_selection_decorator.html#ab403a613289714ff4fd4a0c0371ab116">setScatterStyle</a>), and <em>unselectedStyle</em>.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_selection_decorator.html#a75098893f7d08660ea449206810679d7">applyPen</a>, <a class="el" href="class_q_c_p_selection_decorator.html#a225544527d51b49546b70d0e6d655a34">applyBrush</a>, <a class="el" href="class_q_c_p_selection_decorator.html#ab403a613289714ff4fd4a0c0371ab116">setScatterStyle</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l11141">11141</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_a1277b373248896bc70e8cc1de96da9fa_cgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_a1277b373248896bc70e8cc1de96da9fa_cgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_a1277b373248896bc70e8cc1de96da9fa_cgraph" id="aclass_q_c_p_selection_decorator_a1277b373248896bc70e8cc1de96da9fa_cgraph">
<area shape="rect" title=" " alt="" coords="5,327,165,367"/>
<area shape="rect" href="class_q_c_p_scatter_style.html#a47077eb6450fe9a788f833e4ec1b1d5a" title=" " alt="" coords="443,5,646,31"/>
<area shape="poly" title=" " alt="" coords="103,325,154,270,232,196,328,117,381,80,435,48,471,32,473,37,437,52,384,84,332,121,236,200,158,274,107,329"/>
<area shape="rect" href="class_q_c_p_scatter_style.html#a7d59ba8864914f765817841089e436f1" title=" " alt="" coords="213,327,388,367"/>
<area shape="poly" title=" " alt="" coords="166,345,200,345,200,350,166,350"/>
<area shape="rect" href="class_q_c_p_scatter_style.html#a761f1f229cc0ca4703e1e2b89f6dd1ba" title=" " alt="" coords="461,664,629,689"/>
<area shape="poly" title=" " alt="" coords="107,366,158,420,236,494,332,572,384,609,437,641,476,657,473,662,435,646,381,613,329,576,233,498,155,424,103,369"/>
<area shape="poly" title=" " alt="" coords="309,326,386,160,397,127,403,100,412,74,434,48,455,34,458,39,438,52,417,77,408,101,402,128,390,162,314,328"/>
<area shape="rect" href="class_q_c_p_scatter_style.html#adc4f66aed84f1d7a3a5aabf4f48f31a6" title=" " alt="" coords="721,132,879,157"/>
<area shape="poly" title=" " alt="" coords="311,326,331,295,358,258,393,222,435,193,484,176,554,164,706,148,707,153,554,169,485,182,437,198,397,226,362,262,335,298,316,328"/>
<area shape="rect" href="class_q_c_p_scatter_style.html#aef1fac84c9830fd97f2a8568e605e372" title=" " alt="" coords="701,385,899,411"/>
<area shape="poly" title=" " alt="" coords="389,354,688,384,687,389,388,359"/>
<area shape="rect" href="class_q_c_p_scatter_style.html#acdd6313d16e69d3810e9d1f48dd9e4bb" title=" " alt="" coords="726,639,874,664"/>
<area shape="poly" title=" " alt="" coords="315,366,384,495,438,587,458,597,485,607,556,623,713,642,712,648,555,628,484,612,455,602,434,591,379,498,310,369"/>
<area shape="rect" href="class_q_c_p_scatter_style.html#a9b2d1a2ec0aac0c74f7582d14050e93a" title=" " alt="" coords="716,537,884,563"/>
<area shape="poly" title=" " alt="" coords="315,366,371,467,406,518,423,536,437,548,475,564,514,574,555,580,596,581,675,575,740,563,741,569,675,581,596,587,555,585,513,579,473,569,435,552,419,540,402,521,367,470,310,369"/>
<area shape="rect" href="class_q_c_p_scatter_style.html#a74d692aaeb8d4b36d6f7d510e44264b1" title=" " alt="" coords="455,107,634,132"/>
<area shape="poly" title=" " alt="" coords="308,326,326,289,353,241,389,191,434,149,461,135,463,139,438,153,393,195,357,244,330,291,313,328"/>
<area shape="rect" href="class_q_c_p_scatter_style.html#a96a3e949f90b2afe5677ca9412a12a1e" title=" " alt="" coords="436,411,653,436"/>
<area shape="poly" title=" " alt="" coords="363,365,437,389,487,404,485,409,435,394,361,370"/>
<area shape="rect" href="class_q_c_p_scatter_style.html#a7c641c4d4c6d29cb705d3887cfce91c1" title=" " alt="" coords="709,448,891,473"/>
<area shape="poly" title=" " alt="" coords="322,366,371,409,403,430,437,446,502,463,569,472,635,473,695,471,695,476,635,479,569,477,501,468,435,451,400,435,368,413,319,369"/>
<area shape="rect" href="class_q_c_p_scatter_style.html#af04cad55bd7f58a96da4fc6bc46a0a1e" title=" " alt="" coords="947,245,1109,271"/>
<area shape="poly" title=" " alt="" coords="315,326,350,277,386,217,398,181,401,148,409,119,419,105,435,92,476,74,531,64,595,62,665,65,735,73,800,85,857,100,900,117,937,141,969,172,1014,232,1010,235,965,176,934,146,897,122,855,105,799,90,734,78,664,70,595,67,531,70,477,79,437,96,423,109,414,121,407,149,403,182,390,219,354,280,320,329"/>
<area shape="poly" title=" " alt="" coords="316,366,351,429,390,508,402,548,407,582,415,612,424,627,438,643,457,656,454,660,434,647,420,630,410,614,402,583,397,549,386,510,347,431,312,369"/>
<area shape="rect" href="class_q_c_p_scatter_style.html#a5fb611d46acfac520d7b89a1c71d9246" title=" " alt="" coords="451,512,639,537"/>
<area shape="poly" title=" " alt="" coords="317,366,366,428,399,461,437,490,468,505,466,510,435,495,396,465,362,431,313,369"/>
<area shape="rect" href="class_q_c_p_scatter_style.html#aaefdd031052892c4136129db68596e0f" title=" " alt="" coords="459,208,630,233"/>
<area shape="poly" title=" " alt="" coords="324,325,373,287,435,250,474,235,476,240,437,255,376,292,327,329"/>
<area shape="rect" href="class_q_c_p_scatter_style.html#a0e94526d9165d9f50e262102bdd71a47" title=" " alt="" coords="725,233,875,259"/>
<area shape="poly" title=" " alt="" coords="348,325,435,295,580,267,711,251,711,256,581,272,437,301,350,330"/>
<area shape="rect" href="class_q_c_p_scatter_style.html#acabc2a8c83d650b946f50c3166b6c35e" title=" " alt="" coords="445,309,644,335"/>
<area shape="poly" title=" " alt="" coords="388,336,431,331,432,336,388,341"/>
<area shape="poly" title=" " alt="" coords="634,126,707,133,707,138,634,131"/>
<area shape="poly" title=" " alt="" coords="653,410,688,406,688,412,654,415"/>
<area shape="poly" title=" " alt="" coords="632,433,699,443,699,449,632,439"/>
<area shape="poly" title=" " alt="" coords="849,446,874,435,897,421,934,388,966,350,1011,281,1016,284,970,353,938,392,900,425,876,440,851,450"/>
<area shape="poly" title=" " alt="" coords="628,666,712,657,713,663,629,671"/>
<area shape="poly" title=" " alt="" coords="639,531,703,538,702,543,639,537"/>
<area shape="poly" title=" " alt="" coords="596,509,734,474,735,479,597,514"/>
<area shape="poly" title=" " alt="" coords="630,226,711,235,711,240,630,232"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_a1277b373248896bc70e8cc1de96da9fa_icgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_a1277b373248896bc70e8cc1de96da9fa_icgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_a1277b373248896bc70e8cc1de96da9fa_icgraph" id="aclass_q_c_p_selection_decorator_a1277b373248896bc70e8cc1de96da9fa_icgraph">
<area shape="rect" title=" " alt="" coords="217,47,377,87"/>
<area shape="rect" href="class_q_c_p_graph.html#a2b0849598f06e834b43ce18cd13bcdc3" title=" " alt="" coords="28,5,147,31"/>
<area shape="poly" title=" " alt="" coords="203,48,142,33,143,28,205,43"/>
<area shape="rect" href="class_q_c_p_curve.html#ac199d41d23865cd68bd7b598308a4433" title=" " alt="" coords="28,55,147,80"/>
<area shape="poly" title=" " alt="" coords="203,70,147,70,147,65,203,65"/>
<area shape="rect" href="class_q_c_p_statistical_box.html#afcff35fa79728cfe10e80e0702014fea" title=" " alt="" coords="5,104,169,129"/>
<area shape="poly" title=" " alt="" coords="205,92,143,106,142,101,203,87"/>
</map>
</div>

</div>
</div>
<a id="a467a8d5cfcab27e862a17c797ac27b8a" name="a467a8d5cfcab27e862a17c797ac27b8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a467a8d5cfcab27e862a17c797ac27b8a">&#9670;&#160;</a></span>copyFrom()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPSelectionDecorator::copyFrom </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_selection_decorator.html">QCPSelectionDecorator</a> *&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Copies all properties (e.g. color, fill, scatter style) of the <em>other</em> selection decorator to this selection decorator. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l11159">11159</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_a467a8d5cfcab27e862a17c797ac27b8a_cgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_a467a8d5cfcab27e862a17c797ac27b8a_cgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_a467a8d5cfcab27e862a17c797ac27b8a_cgraph" id="aclass_q_c_p_selection_decorator_a467a8d5cfcab27e862a17c797ac27b8a_cgraph">
<area shape="rect" title=" " alt="" coords="5,153,165,193"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#a783b643aa52120a25308fc501b9998b1" title=" " alt="" coords="435,25,595,65"/>
<area shape="poly" title=" " alt="" coords="95,151,112,121,138,85,172,50,212,24,240,14,270,7,330,3,388,8,440,19,439,24,387,14,329,8,270,12,242,19,215,29,175,54,142,88,117,124,99,154"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#a9307a60c9759223367909aed2d05ad91" title=" " alt="" coords="421,118,608,143"/>
<area shape="poly" title=" " alt="" coords="155,150,213,138,313,129,407,126,407,131,313,134,214,144,156,156"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#aa6558f6f270a188bb633386aba0d1ae4" title=" " alt="" coords="435,210,595,250"/>
<area shape="poly" title=" " alt="" coords="158,191,214,202,321,216,421,224,421,229,320,221,213,208,157,196"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#aa74b626be518ea17055f918d423c8c2d" title=" " alt="" coords="213,38,373,78"/>
<area shape="poly" title=" " alt="" coords="117,151,212,95,236,82,238,87,215,99,120,155"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#ac2c8192e1e294aa3a4a7f32a859e3d76" title=" " alt="" coords="213,153,373,193"/>
<area shape="poly" title=" " alt="" coords="165,170,199,170,199,176,165,176"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#ab403a613289714ff4fd4a0c0371ab116" title=" " alt="" coords="213,268,373,308"/>
<area shape="poly" title=" " alt="" coords="120,191,215,247,238,259,236,264,212,251,117,195"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#ab2019bf31dde39f1ec028e3810dfc08b" title=" " alt="" coords="213,332,373,372"/>
<area shape="poly" title=" " alt="" coords="102,192,147,253,179,287,215,318,223,323,220,327,212,322,175,291,143,256,97,195"/>
<area shape="poly" title=" " alt="" coords="373,51,421,48,421,53,374,56"/>
<area shape="poly" title=" " alt="" coords="373,155,434,143,435,148,374,160"/>
<area shape="poly" title=" " alt="" coords="370,265,423,251,424,256,372,270"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#a808c1607cd4e83869c04986e332455c0" title=" " alt="" coords="425,274,604,314"/>
<area shape="poly" title=" " alt="" coords="374,287,412,289,411,294,374,293"/>
</map>
</div>

</div>
</div>
<a id="a4f8eb49e277063845391e803ae23054a" name="a4f8eb49e277063845391e803ae23054a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f8eb49e277063845391e803ae23054a">&#9670;&#160;</a></span>drawDecoration()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPSelectionDecorator::drawDecoration </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *&#160;</td>
          <td class="paramname"><em>painter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a>&#160;</td>
          <td class="paramname"><em>selection</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This method is called by all plottables' draw methods to allow custom selection decorations to be drawn. Use the passed <em>painter</em> to perform the drawing operations. <em>selection</em> carries the data selection for which the decoration shall be drawn.</p>
<p>The default base class implementation of <a class="el" href="class_q_c_p_selection_decorator.html">QCPSelectionDecorator</a> has no special decoration, so this method does nothing. </p>

<p>Reimplementowana w <a class="el" href="class_q_c_p_selection_decorator_bracket.html#a9ebe2e729b5012c0a995d788f87fac22">QCPSelectionDecoratorBracket</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l11174">11174</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_a4f8eb49e277063845391e803ae23054a_icgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_a4f8eb49e277063845391e803ae23054a_icgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_a4f8eb49e277063845391e803ae23054a_icgraph" id="aclass_q_c_p_selection_decorator_a4f8eb49e277063845391e803ae23054a_icgraph">
<area shape="rect" title=" " alt="" coords="217,122,377,162"/>
<area shape="rect" href="class_q_c_p_graph.html#a2b0849598f06e834b43ce18cd13bcdc3" title=" " alt="" coords="28,5,147,31"/>
<area shape="poly" title=" " alt="" coords="264,114,220,78,168,44,141,33,143,28,171,40,223,74,267,110"/>
<area shape="rect" href="class_q_c_p_curve.html#ac199d41d23865cd68bd7b598308a4433" title=" " alt="" coords="28,55,147,80"/>
<area shape="poly" title=" " alt="" coords="235,119,168,94,133,83,135,78,170,89,237,114"/>
<area shape="rect" href="class_q_c_p_bars.html#aa267c20650d55084c3f47cb2f8fac9dc" title=" " alt="" coords="32,104,143,129"/>
<area shape="poly" title=" " alt="" coords="203,133,143,126,143,121,204,128"/>
<area shape="rect" href="class_q_c_p_statistical_box.html#afcff35fa79728cfe10e80e0702014fea" title=" " alt="" coords="5,153,169,179"/>
<area shape="poly" title=" " alt="" coords="204,155,170,159,169,154,203,150"/>
<area shape="rect" href="class_q_c_p_financial.html#a4d62b7a618d609321adb5f5f1e31f446" title=" " alt="" coords="19,203,155,228"/>
<area shape="poly" title=" " alt="" coords="233,169,170,193,132,205,130,200,168,187,231,164"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a801e85931372abf2a1034bfb2eac5cd2" title=" " alt="" coords="18,252,157,277"/>
<area shape="poly" title=" " alt="" coords="266,173,222,209,171,242,140,254,138,249,168,237,219,204,263,169"/>
</map>
</div>

</div>
</div>
<a id="af66cb39e308da0285ae5d533e1e85027" name="af66cb39e308da0285ae5d533e1e85027"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af66cb39e308da0285ae5d533e1e85027">&#9670;&#160;</a></span>registerWithPlottable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool QCPSelectionDecorator::registerWithPlottable </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_abstract_plottable.html">QCPAbstractPlottable</a> *&#160;</td>
          <td class="paramname"><em>plottable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l11189">11189</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_af66cb39e308da0285ae5d533e1e85027_icgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_af66cb39e308da0285ae5d533e1e85027_icgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_af66cb39e308da0285ae5d533e1e85027_icgraph" id="aclass_q_c_p_selection_decorator_af66cb39e308da0285ae5d533e1e85027_icgraph">
<area shape="rect" title=" " alt="" coords="413,5,573,45"/>
<area shape="rect" href="class_q_c_p_abstract_plottable.html#a20e266ad646f8c4a7e4631040510e5d9" title=" " alt="" coords="209,5,365,45"/>
<area shape="poly" title=" " alt="" coords="399,28,366,28,366,23,399,23"/>
<area shape="rect" href="class_q_c_p_abstract_plottable.html#af78a036e40db6f53a31abadc5323715a" title=" " alt="" coords="5,5,161,45"/>
<area shape="poly" title=" " alt="" coords="196,28,161,28,161,23,196,23"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja przyjaciół i funkcji związanych</h2>
<a id="a53cf0e76aca814550c796fed79e345d6" name="a53cf0e76aca814550c796fed79e345d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53cf0e76aca814550c796fed79e345d6">&#9670;&#160;</a></span>QCPAbstractPlottable</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="class_q_c_p_abstract_plottable.html">QCPAbstractPlottable</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03490">3490</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a684a691c146a5bac927c0146bd28d557" name="a684a691c146a5bac927c0146bd28d557"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a684a691c146a5bac927c0146bd28d557">&#9670;&#160;</a></span>mPen</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QPen QCPSelectionDecorator::mPen</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03478">3478</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a4e3a3a01fdec5b018c0c59a0b6ae9f70" name="a4e3a3a01fdec5b018c0c59a0b6ae9f70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e3a3a01fdec5b018c0c59a0b6ae9f70">&#9670;&#160;</a></span>mBrush</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QBrush QCPSelectionDecorator::mBrush</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03479">3479</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a5b822197a1bf802c5cf8c3dc43ca549a" name="a5b822197a1bf802c5cf8c3dc43ca549a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b822197a1bf802c5cf8c3dc43ca549a">&#9670;&#160;</a></span>mScatterStyle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_scatter_style.html">QCPScatterStyle</a> QCPSelectionDecorator::mScatterStyle</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03480">3480</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="acb4f6af085283c9ce7d5c168fb53e855" name="acb4f6af085283c9ce7d5c168fb53e855"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb4f6af085283c9ce7d5c168fb53e855">&#9670;&#160;</a></span>mUsedScatterProperties</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QCPScatterStyle::ScatterProperties QCPSelectionDecorator::mUsedScatterProperties</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03481">3481</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a25250a1d29b0723c4fa59a97e62f5758" name="a25250a1d29b0723c4fa59a97e62f5758"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25250a1d29b0723c4fa59a97e62f5758">&#9670;&#160;</a></span>mPlottable</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_abstract_plottable.html">QCPAbstractPlottable</a>* QCPSelectionDecorator::mPlottable</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03483">3483</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a></li>
<li><a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_q_c_p_selection_decorator.html">QCPSelectionDecorator</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
